<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("fiel" . "ds" => base64_decode("Zm" . "ll" . "bG" . "Rz"), "_4d707fab93bebb00bbe69e815969" . "7c90" => base64_decode(""), "nam" . "e" => base64_decode("bmFtZQ=" . "="), "_ea8229a121285ee649a72fd880bac39" . "b" => base64_decode("YXJyYXlfZmlsdG" . "Vy"), "pro" . "jec" . "t_i" . "d" => base64_decode("cHJvamVjdF9" . "pZA=="), "_bd71c3b5c201fc1" . "1db82ed14ce424de" . "5" => base64_decode("aW5fYXJ" . "yYXk="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["proje" . "ct_id"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["na" . "me"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bd71c3b5c201fc11db82ed14c" . "e424de5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["fiel" . "ds"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ea8229a121285ee649a72fd880" . "bac39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bd71c3b5c201fc11db82ed14c" . "e424de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["field" . "s"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_bd71c3b5c201fc11db" . "82ed14ce424de5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["fie" . "lds"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}